Bug 1821311 (CVE-2020-11112) - CVE-2020-11112 jackson-databind: Serialization gadgets in org.apache.commons.proxy.provider.remoting.RmiProvider
Summary: CVE-2020-11112 jackson-databind: Serialization gadgets in org.apache.commons....
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11112
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1821312 1822930 1822931 1822932 1822933 1823564 1823565 1825174
Blocks: 1821317
TreeView+ depends on / blocked
 
Reported: 2020-04-06 14:30 UTC by Michael Kaplan
Modified: 2021-12-14 18:47 UTC (History)
104 users (show)

Fixed In Version: Jackson-databind 2.9.10.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in jackson-databind 2.x in versions prior to 2.9.10.4. The interaction between serialization gadgets and typing is mishandled. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-04-21 16:32:13 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1523 0 None None None 2020-04-21 12:33:32 UTC
Red Hat Product Errata RHSA-2020:2067 0 None None None 2020-05-18 10:29:01 UTC
Red Hat Product Errata RHSA-2020:2333 0 None None None 2020-05-28 16:00:36 UTC
Red Hat Product Errata RHSA-2020:3192 0 None None None 2020-07-28 15:56:58 UTC
Red Hat Product Errata RHSA-2020:3196 0 None None None 2020-07-29 06:08:52 UTC
Red Hat Product Errata RHSA-2020:3197 0 None None None 2020-07-29 06:24:29 UTC
Red Hat Product Errata RHSA-2020:3779 0 None None None 2020-09-17 13:09:54 UTC
Red Hat Product Errata RHSA-2020:5625 0 None None None 2020-12-17 16:40:44 UTC

Description Michael Kaplan 2020-04-06 14:30:38 UTC
A vulnerability was found in Jackson-databind 2.x before 2.9.10.4 mishandles the interaction between serialization gadgets and typing, related to org.apache.commons.proxy.provider.remoting.RmiProvider (aka apache/commons-proxy).

Comment 1 Michael Kaplan 2020-04-06 14:30:47 UTC
External References:

https://github.com/FasterXML/jackson-databind/issues/2666

Comment 2 Michael Kaplan 2020-04-06 14:31:13 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1821312]

Comment 10 Riccardo Schirone 2020-04-10 14:40:28 UTC
Mitigation:

The following conditions are needed for an exploit, we recommend avoiding all if possible
* Deserialization from sources you do not control
* `enableDefaultTyping()`
* `@JsonTypeInfo using `id.CLASS` or `id.MINIMAL_CLASS`

Comment 24 errata-xmlrpc 2020-04-21 12:33:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:1523 https://access.redhat.com/errata/RHSA-2020:1523

Comment 25 Riccardo Schirone 2020-04-21 16:03:20 UTC
Statement:

Red Hat Satellite 6 does not enable polymorphic deserialization which is a required configuration for the vulnerability to be used. We may update the jackson-databind dependency in a future release.

Red Hat OpenStack Platform ships OpenDaylight, which contains the vulnerable jackson-databind. However, OpenDaylight does not expose jackson-databind in a way that would make it vulnerable, lowering the impact of the vulnerability for OpenDaylight. As such, Red Hat will not be providing a fix for OpenDaylight at this time.

While OpenShift Container Platform's elasticsearch plugins do ship the vulnerable component, it doesn't do any of the unsafe things described in https://access.redhat.com/solutions/3279231. We may update the jackson-databind dependency in a future release.

The PKI module as shipped in Red Hat Enterprise Linux 8 does not enable polymorphic deserialization which is a required configuration for the vulnerability to be used, lowering the impact of the vulnerability for the Product. We may update the jackson-databind dependency in a future release.

Comment 26 Product Security DevOps Team 2020-04-21 16:32:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11112

Comment 28 errata-xmlrpc 2020-05-18 10:28:53 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 29 errata-xmlrpc 2020-05-28 16:00:31 UTC
This issue has been addressed in the following products:

  EAP-CD 19 Tech Preview

Via RHSA-2020:2333 https://access.redhat.com/errata/RHSA-2020:2333

Comment 32 errata-xmlrpc 2020-07-28 15:56:51 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192

Comment 33 errata-xmlrpc 2020-07-29 06:08:46 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 34 errata-xmlrpc 2020-07-29 06:24:23 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 35 errata-xmlrpc 2020-09-17 13:09:46 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779

Comment 36 errata-xmlrpc 2020-12-17 16:40:41 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.0

Via RHSA-2020:5625 https://access.redhat.com/errata/RHSA-2020:5625


Note You need to log in before you can comment on or make changes to this bug.